# listRows

## HTTP Request

```http
GET /api/v1/tables/:tableReference/uploads/:uploadName/rows
```

## Path parameters

| Parameter      | Description                                                                                                                                    |
| -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| tableReference | A qualified reference to the table. See [referencing resources](/api/referencing-resources.md) for more information.                           |
| uploadName     | The name of the upload. Make sure to [URL encode](https://en.wikipedia.org/wiki/URL_encoding) the name if it contains any reserved characters. |

## Query parameters

| Parameter         |                                                                                                                                                                                                                                                                                      |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| format            | The response format. Either `csv` , `jsonl`, or `arrow`. Defaults to `jsonl` for the JSON-lines format.                                                                                                                                                                              |
| selectedVariables | <p><strong>Optional</strong>. A comma separated list of the variables to return, case insensitive. The order of variables in this list will determine the order of values in the response.</p><p></p><p>If not specified, all variables belonging to the table will be returned.</p> |
| maxResults        | Default 100.                                                                                                                                                                                                                                                                         |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Edit access to the table's dataset is required. Your access token must have one of the following scopes:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

The response body follows the [table.listRows specification](/api/rest-api/tables/listrows.md#response-body).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/uploads/listrows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
